.\" $XFree86: xc/programs/Xserver/hw/kdrive/Xkdrive.man,v 1.5 2002/02/14 16:08:05 keithp Exp $
.\"
.TH XDirectFB 1 __vendorversion__
.SH NAME
XDirectFB \- Rootless X server using DirectFB
.SH SYNOPSIS
.B XDirectFB
.RI [ :display ]
.RI [ option ...]
.SH DESCRIPTION
.B XDirectFB
is a rootless X server on top of DirectFB.
A DirectFB window is created for each toplevel window.
This way you can adjust the opacity of every application.

Window movements are initiated by the applications or
the window manager while the graphical movement is done by
DirectFB using available hardware acceleration.

Overlapping toplevel windows do not cause expose events,
i.e. redrawing of the window contents, as they are DirectFB
windows and therefore have an own surface, a.k.a. backing store.
.SH OPTIONS
In addition to the standard options accepted by all X servers (see Xserver(1)), 
.B XDirectFB
accepts the following options:
.TP 8
.B -defaultOpacity \fIvalue\fP
set the default opacity for toplevel windows, value ranges from 1 (almost invisible) to 255 (fully opaque).
.TP 8
.B -unfocusedOpacity \fIvalue\fP
set the opacity used for unfocused toplevel windows, value ranges from 1 (almost invisible) to 255 (fully opaque).
.TP 8
.B -enableUnfocused
enable usage of unfocused opacity value.
.TP 8
.B -enableFadeIn
enable fade in of showing windows.
.TP 8
.B -enableFadeOut
.TP 8
.B -enableRoot
enable creation of a root window.
.TP 8
.B -displayLayer \fIID\fP
choose display layer (0=primary, for other IDs try "dfbinfo")
.SH SEE ALSO
X(__miscmansuffix__), Xserver(1), xdm(1), xinit(1).
.SH AUTHORS
XDirectFB is written by Denis Oliver Kropp <dok@directfb.org>.
It's heavily based on XDarwin and some KDrive code.
